aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar adelez <adelez@google.com>2015-12-02 10:59:23 -0800
committerGravatar adelez <adelez@google.com>2015-12-02 10:59:23 -0800
commite3c52e9d3c838287791f84bfd54a4deae5dd7657 (patch)
tree9d04d62bb7e37b0d3561bea5beecd52a1fd30388 /tools
parent4fba11551bb697664aa76dac47f938d03060b424 (diff)
parent61059d3d3852f4d84d6adb61e33bf1a4114c8202 (diff)
Merge pull request #4230 from nicolasnoble/generate-coverage-always
Generate html reports always.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/jenkins/docker_run_tests.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/tools/jenkins/docker_run_tests.sh b/tools/jenkins/docker_run_tests.sh
index 8bafeea620..148a0f5e08 100755
--- a/tools/jenkins/docker_run_tests.sh
+++ b/tools/jenkins/docker_run_tests.sh
@@ -48,7 +48,9 @@ rvm use ruby-2.1
mkdir -p reports
-$RUN_TESTS_COMMAND
+exit_code=0
+
+$RUN_TESTS_COMMAND || exit_code=$?
cd reports
echo '<html><head></head><body>' > index.html
@@ -61,3 +63,5 @@ echo '</body></html>' >> index.html
cd ..
zip -r reports.zip reports
+
+exit $exit_code